package com.engine.attendance.attendanceanalysis.service.impl;


import com.engine.attendance.attendanceanalysis.service.AllowanceService;
import com.engine.common.util.DbTools;
import com.engine.core.impl.Service;
import weaver.general.Util;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

public class AllowanceServiceImpl extends Service implements AllowanceService {
    @Override
    public List<Map<String, Object>> removeAbnormal(Map<String, Object> param) {
        String userId = Util.null2String(param.get("userId"));
        String analysisDate = Util.null2String(param.get("analysisDate"));

        String sql = "select jtlx,sc,zt from uf_jcl_kq_cqjt where zt=1 and yg=? and rq=?";
        List<Map<String,Object>> allowanceList = DbTools.getSqlToList(sql,userId,analysisDate);
        if (allowanceList.size() == 0){
            return null;
        }
        Map<String,List<Map<String,Object>>> allowanceGroupByList = allowanceList.stream().collect(Collectors.groupingBy(e->e.get("jtlx").toString()));


        return null;
    }
}
